# pin\_ls

Lists objects pinned to local storage.

#### REQUEST <a href="#request" id="request"></a>

```bash
curl "https://ipfs.krypc.io:5001/api/v0/pin/ls?arg=<ipfs-path>&type=all&quiet=<value>&stream=<value>" \
    -X POST \
    -u "<API_KEY>:<API_KEY_SECRET>"
```

**REQUEST PARAMS**[**​**](https://docs.infura.io/networks/ipfs/http-api-methods/pin_ls#request-params)

* `arg` *\[Required]* - Path to object(s) to be listed.
* `type` *\[Optional]* - The type of pinned keys to list. Can be `direct`, `indirect`, `recursive`, or `all`. The default is `all`.
* `quiet` *\[Optional]* - Write just hashes of objects.
* `stream` *\[Optional]* - Enable streaming of pins as they are discovered.

#### RESPONSE[​](https://docs.infura.io/networks/ipfs/http-api-methods/pin_ls#response) <a href="#response" id="response"></a>

On success, the call to this endpoint returns with 200 and the following body:

**BODY**[**​**](https://docs.infura.io/networks/ipfs/http-api-methods/pin_ls#body)

```
{
  "PinLsList": {
    "Keys": {
      "<string>": {
        "Type": "string"
      }
    }
  },
  "PinLsObject": {
    "Cid": "string",
    "Type": "string"
  }
}
```
